Organizations

Get user overview and data footprint

Get a user's profile plus footprint (files count/size, sessions, API keys, collections in project). Use for dashboard to see everything tied to the user. Requires owner or admin role.

AuthBearer (JWT)
GroupOrganizations
Rate limitSee Rate Limits
GET/api/orgs/{orgId}/users/{userId}/overview

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, OrganizationsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const organizations = new OrganizationsApi(configuration);
import { Configuration, OrganizationsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const organizations = new OrganizationsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await organizations.getUserOverview("usr_XHi6hpRUQCOnsA", "usr_nNQJURnZVGFsK5");
const { data: result } = await organizations.getUserOverview("usr_XHi6hpRUQCOnsA", "usr_nNQJURnZVGFsK5");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
orgIdstringYes
userIdstringYes

Responses

200User and footprint
json
{
  "user": {},
  "footprint": {
    "fileCount": 222,
    "storageUsed": 22,
    "sessionCount": 63,
    "apiKeyCount": 204,
    "collectionsInProject": 92590,
    "collections": [
      {
        "_id": "9hthi8wy79Q3iLdr",
        "name": "Ewald Friesen",
        "slug": "waterlogged-dependency-l15t"
      }
    ]
  }
}
{
  "user": {},
  "footprint": {
    "fileCount": 222,
    "storageUsed": 22,
    "sessionCount": 63,
    "apiKeyCount": 204,
    "collectionsInProject": 92590,
    "collections": [
      {
        "_id": "9hthi8wy79Q3iLdr",
        "name": "Ewald Friesen",
        "slug": "waterlogged-dependency-l15t"
      }
    ]
  }
}
401
403
404

Errors

CodeMeaning
401
403
404
Edit this page on GitHub